allDay field in QOrganizerEvent/ Event QML item is not being saved to EDS

Bug #1265953 reported by Kunal Parmar
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Calendar App
Fix Released
High
Unassigned
qtorganizer5-eds (Ubuntu)
Fix Released
Undecided
Renato Araujo Oliveira Filho

Bug Description

allDay[1] field in QOrganizerEvent/ Event QML item is not being saved to EDS

Following is code from Calendar, which I am using to save event to EDS,
var event = Qt.createQmlObject("import QtOrganizer 5.0; Event { }", Qt.application,"NewEvent.qml");
event.startDateTime = startDate;
event.endDateTime = endDate;
event.displayLabel = titleEdit.text;

event.allDay = allDayEventCheckbox.checked;

eventModel.saveItem(event);

When I retrieve this event from model, the allDay event property is always false.

[1] http://doc.qt.digia.com/qtmobility/qml-event.html#allDay-prop

Related branches

David Planella (dpm)
Changed in ubuntu-calendar-app:
status: New → Triaged
importance: Undecided → High
Changed in qtorganizer5-eds (Ubuntu):
status: New → In Progress
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)
Revision history for this message
Kunal Parmar (pkunal-parmar) wrote :

Hi,

I checked latest EDS branch and now its saving "addDay" flags fine if we set it.

But recently we had Hack Days and when it EDS synced google cal events.

Its showing time as below.

startDateTime: Fri Jan 24 2014 13:00:00 GMT+0900 (KST)
endDateTime: Thu Jan 30 2014 15:00:00 GMT+0900 (KST)

But allDay flag is false. I think in this case it should set allDay flag to true.

allDay:false

Full event details is as below
-------
description:View event in Google+: https://plus.google.com/events/c0520orfeijkqfn8vme4annfj7c
recurrence:QtOrganizer::QDeclarativeOrganizerItemRecurrence(0xa698d48)
guid:<email address hidden>
displayLabel:Ubuntu Core Apps Hack Days
modified:false
itemId:qtorganizer:eds::1381841023.3278.2@<email address hidden>
manager:qtorganizer:eds:
location:
objectName:
allDay:false
collectionId:qtorganizer:eds::1381841023.3278.2@kunal-sammy
attendees:[object Object]
QMetaProperty::read: Unable to handle unregistered datatype 'QDeclarativeOrganizerItemPriority::Priority' for property 'QtOrganizer::QDeclarativeOrganizerEvent::priority'
priority:undefined
endDateTime:Thu Jan 30 2014 15:00:00 GMT+0900 (KST)
startDateTime:Fri Jan 24 2014 13:00:00 GMT+0900 (KST)

itemDetails:[object Object]
QMetaProperty::read: Unable to handle unregistered datatype 'QDeclarativeOrganizerItemType::ItemType' for property 'QtOrganizer::QDeclarativeOrganizerEvent::itemType'
itemType:undefined

Changed in qtorganizer5-eds (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
Alan Pope ๐Ÿบ๐Ÿง๐Ÿฑ ๐Ÿฆ„ (popey) wrote :

In the instance Kunal suggests, I'm inclined to agree, a multi-day event should be "allDay:true". So this isn't fixed?

Revision history for this message
Renato Araujo Oliveira Filho (renatofilho) wrote :

We have to check 2 things.

Was this event created as all day event?
When importing this event this was imported as all day event?

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtorganizer5-eds - 0.1.1+14.04.20140131-0ubuntu1

---------------
qtorganizer5-eds (0.1.1+14.04.20140131-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Make sure that allDay property get saved correct. (LP: #1265953)
  * Fixed todo event parse. (LP: #1272333)
 -- Ubuntu daily release <email address hidden> Fri, 31 Jan 2014 11:37:04 +0000

Changed in qtorganizer5-eds (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Ubuntu Phone Apps Jenkins Bot (ubuntu-phone-apps-jenkins-bot) wrote :

Fix committed into lp:ubuntu-calendar-app at revision 208, scheduled for release in ubuntu-calendar-app, milestone alpha-1

Changed in ubuntu-calendar-app:
status: Triaged → Fix Committed
Changed in ubuntu-calendar-app:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers